petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerHDF5GetGroup

Get the current HDF5 group name (full path), set with PetscViewerHDF5PushGroup()/PetscViewerHDF5PopGroup(). If none has been assigned, returns NULL.

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode  PetscViewerHDF5GetGroup(PetscViewer viewer, const char *name[])

Not collective

### Input Parameter

viewer -the PetscViewer

### Output Parameter

name -The group name

### See Also

PetscViewerHDF5Open(),PetscViewerHDF5PushGroup(),PetscViewerHDF5PopGroup(),PetscViewerHDF5OpenGroup()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages